/**
 * 基础组件
 */
export { default as Map } from './components/Map';
export { default as Control } from './components/Control';
export { default as Overlay } from './components/Overlay';
export { default as ReactComponent } from './components/ReactComponent';
export { default as AutoComplete } from './components/AutoComplete';

/**
 * 常用控件
 */
export { default as Navigation } from './components/Control/Navigation';
export { default as OverviewMap } from './components/Control/OverviewMap';
export { default as Scale } from './components/Control/Scale';
export { default as MapTypeCtrl } from './components/Control/MapType';
export { default as Copyright } from './components/Control/Copyright';
export { default as Geolocation } from './components/Control/Geolocation';
export { default as Panorama } from './components/Control/Panorama';
export { default as CityList } from './components/Control/CityList';

/**
 * 常用覆盖物
 */
export { default as Marker } from './components/Overlay/Marker';
export { default as Label } from './components/Overlay/Label';
export { default as Polyline } from './components/Overlay/Polyline';
export { default as Polygon } from './components/Overlay/Polygon';
export { default as Circle } from './components/Overlay/Circle';
export { default as InfoWindow } from './components/Overlay/InfoWindow';
export { default as Ground } from './components/Overlay/Ground';
export { default as PointCollection } from './components/Overlay/PointCollection';
export { default as Symbol } from './components/Overlay/Symbol';
export { default as Boundary } from './components/Overlay/Boundary';

/**
 * 扩展类库
 */
export { default as Heatmap } from './components/Lib/Heatmap';
export { default as CurveLine } from './components/Lib/CurveLine';
export { default as MarkerClusterer } from './components/Lib/MarkerClusterer';
export { default as DrawingManager } from './components/Lib/DrawingManager';
export { default as DistanceTool } from './components/Lib/DistanceTool';
export { default as TrafficControl } from './components/Lib/TrafficControl';

/**
 * 地图图层
 */
export { default as Tile } from './components/Layers/Tile';

/**
 * 服务类
 */
export { default as LocalSearch } from './components/Service/LocalSearch';
export { default as TransitRoute } from './components/Service/TransitRoute';
export { default as DrivingRoute } from './components/Service/DrivingRoute';
export { default as WalkingRoute } from './components/Service/WalkingRoute';
export { default as RidingRoute } from './components/Service/RidingRoute';
export { default as BusLineSearch } from './components/Service/BusLineSearch';

/**
 * 常量
 */
export { default as MapType } from './constants/MapType';
export { default as ControlAnchor } from './constants/ControlAnchor';
export { default as NavigationType } from './constants/NavigationType';
export { default as LengthUnit } from './constants/LengthUnit';
export { default as MapPane } from './constants/MapPane';
export { default as MapTypeControlType } from './constants/MapTypeControlType';
export { default as StatusCode } from './constants/StatusCode';
export { default as Animation } from './constants/Animation';
export { default as ShapeType } from './constants/ShapeType';
export { default as SizeType } from './constants/SizeType';
export { default as SymbolShapeType } from './constants/SymbolShapeType';
export { default as ContextMenuIcon } from './constants/ContextMenuIcon';
export { default as TransitPolicy } from './constants/TransitPolicy';
export { default as TransitTypePolicy } from './constants/TransitTypePolicy';
export { default as IntercityPolicy } from './constants/IntercityPolicy';
export { default as DrivingPolicy } from './constants/DrivingPolicy';
export { default as DrawingMode } from './constants/DrawingMode';

/**
 * 工具方法
 */
export {
  getMapBounds, getBounds, getPoiByKeyword, convertPoint,
} from './components/_base/util';
