export type MapType = 
  'BMAP_NORMAL_MAP'
  | 'BMAP_PERSPECTIVE_MAP'
  | 'BMAP_SATELLITE_MAP'
  | 'BMAP_HYBRID_MAP';

export type ControlAnchor = 
  'BMAP_ANCHOR_TOP_LEFT'
  | 'BMAP_ANCHOR_TOP_RIGHT'
  | 'BMAP_ANCHOR_BOTTOM_LEFT'
  | 'BMAP_ANCHOR_BOTTOM_RIGHT';

export type NavigationType = 
  'BMAP_NAVIGATION_CONTROL_LARGE'
  | 'BMAP_NAVIGATION_CONTROL_SMALL'
  | 'BMAP_NAVIGATION_CONTROL_PAN'
  | 'BMAP_NAVIGATION_CONTROL_ZOOM';

export type LengthUnit =
  'BMAP_UNIT_METRIC'
  | 'BMAP_UNIT_IMPERIAL';

export type MapTypeControlType = 
  'BMAP_MAPTYPE_CONTROL_HORIZONTAL'
  | 'BMAP_MAPTYPE_CONTROL_DROPDOWN'
  | 'BMAP_MAPTYPE_CONTROL_MAP';

export type SymbolShapeType = 
  'BMap_Symbol_SHAPE_CIRCLE'
  | 'BMap_Symbol_SHAPE_RECTANGLE'
  | 'BMap_Symbol_SHAPE_RHOMBUS'
  | 'BMap_Symbol_SHAPE_STAR'
  | 'BMap_Symbol_SHAPE_BACKWARD_CLOSED_ARROW'
  | 'BMap_Symbol_SHAPE_FORWARD_CLOSED_ARROW'
  | 'BMap_Symbol_SHAPE_BACKWARD_OPEN_ARROW'
  | 'BMap_Symbol_SHAPE_FORWARD_OPEN_ARROW'
  | 'BMap_Symbol_SHAPE_POINT'
  | 'BMap_Symbol_SHAPE_PLANE'
  | 'BMap_Symbol_SHAPE_CAMERA'
  | 'BMap_Symbol_SHAPE_WARNING'
  | 'BMap_Symbol_SHAPE_SMILE'
  | 'BMap_Symbol_SHAPE_CLOCK';

export type ShapeType =
  'BMAP_POINT_SHAPE_CIRCLE'
  | 'BMAP_POINT_SHAPE_STAR'
  | 'BMAP_POINT_SHAPE_SQUARE'
  | 'BMAP_POINT_SHAPE_RHOMBUS'
  | 'BMAP_POINT_SHAPE_WATERDROP';

export type SizeType = 
  'BMAP_POINT_SIZE_TINY'
  | 'BMAP_POINT_SIZE_SMALLER'
  | 'BMAP_POINT_SIZE_SMALL'
  | 'BMAP_POINT_SIZE_NORMAL'
  | 'BMAP_POINT_SIZE_BIG'
  | 'BMAP_POINT_SIZE_BIGGER'
  | 'BMAP_POINT_SIZE_HUGE';

export type TransitPolicy =
  'BMAP_TRANSIT_POLICY_RECOMMEND'
  | 'BMAP_TRANSIT_POLICY_LEAST_TIME'
  | 'BMAP_TRANSIT_POLICY_LEAST_TRANSFER'
  | 'BMAP_TRANSIT_POLICY_LEAST_WALKING'
  | 'BMAP_TRANSIT_POLICY_AVOID_SUBWAYS'
  | 'BMAP_TRANSIT_POLICY_FIRST_SUBWAYS';

export type IntercityPolicy =
  'BMAP_INTERCITY_POLICY_LEAST_TIME'
  | 'BMAP_INTERCITY_POLICY_EARLY_START'
  | 'BMAP_INTERCITY_POLICY_CHEAP_PRICE';

export type TransitTypePolicy = 
  'BMAP_TRANSIT_TYPE_POLICY_TRAIN'
  | 'BMAP_TRANSIT_TYPE_POLICY_AIRPLANE'
  | 'BMAP_TRANSIT_TYPE_POLICY_COACH';

export type DrivingPolicy =
  'BMAP_DRIVING_POLICY_DEFAULT'
  | 'BMAP_DRIVING_POLICY_FIRST_HIGHWAYS'
  | 'BMAP_DRIVING_POLICY_AVOID_HIGHWAYS'
  | 'BMAP_DRIVING_POLICY_AVOID_CONGESTION';

export type DrawingMode = 
  'marker'
  | 'circle'
  | 'polyline'
  | 'polygon'
  | 'rectangle'
